﻿---
title: Fleet Server breaking changes
description: Breaking changes can impact your Elastic applications, potentially disrupting normal operations. Before you upgrade, carefully review the Fleet Server...
url: https://www.elastic.co/elastic/docs-builder/docs/3016/release-notes/fleet-server/breaking-changes
products:
  - Fleet
  - Fleet Server
applies_to:
  - Elastic Stack: Generally available
---

# Fleet Server breaking changes
Breaking changes can impact your Elastic applications, potentially disrupting normal operations. Before you upgrade, carefully review the Fleet Server breaking changes and take the necessary steps to mitigate any issues. To learn how to upgrade, check [Upgrade](https://docs-v3-preview.elastic.dev/elastic/docs-builder/docs/3016/deploy-manage/upgrade).

## 9.3.2

_No breaking changes._

## 9.3.1

_No breaking changes._

## 9.3.0

_No breaking changes._

## 9.2.7

_No breaking changes._

## 9.2.6

_No breaking changes._

## 9.2.5

_No breaking changes._

## 9.2.4

_No breaking changes._

## 9.2.3

_No breaking changes._

## 9.2.2

_No breaking changes._

## 9.2.1

_No breaking changes._

## 9.2.0

_No breaking changes._

## 9.1.10

_No breaking changes._

## 9.1.9

_No breaking changes._

## 9.1.8

_No breaking changes._

## 9.1.7

_No breaking changes._

## 9.1.6

_No breaking changes._

## 9.1.5

_No breaking changes._

## 9.1.4

_No breaking changes._

## 9.1.3

_No breaking changes._

## 9.1.2

_No breaking changes._

## 9.1.1

_No breaking changes._

## 9.1.0

_No breaking changes._

## 9.0.8

_No breaking changes._

## 9.0.7

_No breaking changes._

## 9.0.6

_No breaking changes._

## 9.0.5

_No breaking changes._

## 9.0.4

_No breaking changes._

## 9.0.3

_No breaking changes._

## 9.0.2

_No breaking changes._

## 9.0.1

_No breaking changes._

## 9.0.0

<dropdown title="Removed deprecated epm Fleet APIs">
  Removed `GET/POST/DELETE /epm/packages/:pkgkey` APIs in favor of the `GET/POST/DELETE /epm/packages/:pkgName/:pkgVersion`.**Impact**
  - Removed `experimental` query parameter in `GET /epm/packages` and `GET /epm/categories`
  - Removed `response` in response in `* /epm/packages*` and `GET /epm/categories`
  - Removed `savedObject` in `/epm/packages` response in favor of `installationInfo`
  For more information, check [#198434](https://github.com/elastic/kibana/pull/198434).
</dropdown>

<dropdown title="Removed deprecated Fleet APIs for agents endpoints">
  Removed the following API endpoints:
  - `POST /service-tokens` in favor of `POST /service_tokens`
  - `GET /agent-status` in favor `GET /agent_status`
  - `PUT /agents/:agentid/reassign` in favor of `POST /agents/:agentid/reassign`
  Removed deprecated parameters or responses:
  - Removed `total` from `GET /agent_status` response
  - Removed `list` from `GET /agents` response
  For more information, check [#198313](https://github.com/elastic/kibana/pull/198313).
</dropdown>

<dropdown title="Removed deprecated settings API endpoints in Fleet">
  - `GET/DELETE/POST enrollment-api-keys`: removed in favor of `GET/DELETE/POST enrollment_api_keys`
  - Removed `list` property from `GET enrollment_api_keys` response in favor of `items`
  - `GET/POST /settings`: `fleet_server_hosts` was removed from the response and body
  For more information, check [#198799](https://github.com/elastic/kibana/pull/198799).
</dropdown>

<dropdown title="Removed deprecated settings API endpoints in Fleet">
  - `GET/DELETE/POST enrollment-api-keys`: removed in favor of `GET/DELETE/POST enrollment_api_keys`
  - Removed `list` property from `GET enrollment_api_keys` response in favor of `items`
  - `GET/POST /settings`: `fleet_server_hosts` was removed from the response and body
  For more information, check [#198799](https://github.com/elastic/kibana/pull/198799).
</dropdown>

<dropdown title="Removed deprecated topics property for kafka output in favor of the topic property">
  Removed deprecated property `topics` from output APIs in response and requests (`(GET|POST|PUT) /api/fleet/outputs`) in favor of the `topic` property.For more information, check [#199226](https://github.com/elastic/kibana/pull/199226).
</dropdown>

<dropdown title="Limit pagination size to 100 when retrieving full policy or withAgentCount in Fleet">
  In addition to the new pagination limit size of 100, retrieving agent policies without agent count is now the new default behavior, and a new query parameter `withAgentCount` was added to retrieve the agent count.For more information, check [#196887](https://github.com/elastic/kibana/pull/196887).
</dropdown>